Skip to main content
`Ctrl`+`K`

# DMGetUseNatural

Get the flag for creating a mapping to the natural order when a `DM` is (re)distributed in parallel

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetUseNatural(DM dm, PetscBool *useNatural)

Not Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- useNatural - `PETSC_TRUE` to build the mapping to a natural order during distribution

## See Also

DM Basics, `DM`, `DMSetUseNatural()`, `DMCreate()`

## Level

beginner

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages